EncodingTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class EncodingTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.EncodingTest

-     public class EncodingTest
      extends TestBase

  Version:
    1.0

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testBytesToVarchar()` Test for bug [101956] updateBytes converted to hex in varchar NB Test assumes server using iso_1 character set.
    `void` | `testSybaseISO_1()` Test for bug [1293415] Charset iso_1 is broken for Sybase.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingTest

          public EncodingTest(java.lang.String name)

  - ### Method Detail

    - #### testBytesToVarchar

          public void testBytesToVarchar()
                                  throws java.lang.Exception

      Test for bug [101956] updateBytes converted to hex in varchar

      NB Test assumes server using iso_1 character set.
      Throws:
        `java.lang.Exception`

    - #### testSybaseISO_1

          public void testSybaseISO_1()
                               throws java.lang.Exception

      Test for bug [1293415] Charset iso_1 is broken for Sybase.

      NB Test assumes server using iso_1 character set.
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013